
QGIS Application - Bug report #8942

R6034 runtime error

2013-10-23 04:42 PM - Leszek Pawlowicz

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:2.18.11 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 17609

Description

I'm getting a Runtime Error R6034 when starting 2.0.1 on Windows 7 64-bit, installed using the standalone installer. I know this bug has

been reporting multiple times, and has been listed as closed because you can apparently fix it using OSGeo4W; I'm in the process of

trying that now. But if it's not fixed in the stand-alone, it's not fixed, and it shouldn't be closed until the problem no longer exists with the

stand-alone installer.

Related issues:

Duplicates QGIS Application - Bug report # 8637: error (not blocking) when la... Closed 2013-09-21

Duplicated by QGIS Application - Bug report # 12332: v2.8.1. Wien C++ Runtime... Closed 2015-03-07

Duplicates QGIS Application - Bug report # 8629: QGIS Dufour 2.0.1 32 or 64 c... Closed 2013-09-18

History

#1 - 2013-10-23 04:50 PM - Nathan Woodrow

How recent is your stand alone installer download?

#2 - 2013-10-23 04:53 PM - Leszek Pawlowicz

Downloaded the stand-alone earlier today and reinstalled, to check if the problem had been fixed. It hasn't - I got the same error message before and after

reinstalling the program.

#3 - 2013-10-23 06:13 PM - Leszek Pawlowicz

... and I just installed via OSGeo4W, with all packages enabled, including mscvrt, and I still get the error, both on 2.0.1 and 2.1 Dev.

#4 - 2013-10-24 03:08 PM - Giovanni Manghi

- Status changed from Open to Feedback

this is strange, I had this issue and it is definitely gone in my case, by using osgeo4w packages and the latest standalone installers. Shouldn't this ticket go

on osgeo4w tracker?

#5 - 2013-10-26 01:10 PM - Leszek Pawlowicz

If I have the problem on both the standalone and OSGeo4W installers, then it definitely belongs in this tracker, but maybe also in the OSGeo4W tracker as

well.
#6 - 2013-12-06 03:58 AM - Matthias Kuhn

I cannot remember any recent complaints about this issue. Is this still active?

#7 - 2014-02-11 12:32 AM - Jürgen Fischer

- Status changed from Feedback to Closed

closing for the lack of feedback

#8 - 2015-03-19 12:29 PM - Andrew DeMerchant

- Target version set to Version 2.8.2

- Status changed from Closed to Reopened

Definitely a problem in 2.8.1 x86 (on a 64bit OS). Seems to run ok, but you get 2 of these errors everything you run it. I didn't have this problem at all with

the 64bit version, but unfortunately I can't use that version due to another bug. Happy to help by running any tests you'd like!

#9 - 2015-03-22 03:28 AM - Giovanni Manghi

- Status changed from Reopened to Feedback

Andrew DeMerchant wrote:

Definitely a problem in 2.8.1 x86 (on a 64bit OS). Seems to run ok, but you get 2 of these errors everything you run it. I didn't have this problem at

all with the 64bit version, but unfortunately I can't use that version due to another bug. Happy to help by running any tests you'd like!

I have a (clean) win7 64 bit test machine, and no problems whatsoever installing and running qgis 32bit on it. The same also on many other Win machines.

Seems like a local issue.

#10 - 2015-03-22 03:33 AM - Giovanni Manghi

- Category set to Build/Install

#11 - 2015-03-23 04:56 AM - Andrew DeMerchant

This error is, by definition, never going to show up on a clean machine. It only happens when you've already got another install of VC 2005 runtime. What's

happening is that QGIS is trying (wrongly) to use another version of VC 2005 for one (or more) of the dlls.

In my case, it was trying to use msvcr90.dll in my Syswow64 folder. The fix for me was to rename that file. If this isn't something that you guys want to fix,

that's fine - but it is a real bug. None of the other programs that I'm running that need VC 2005 have this issue.

Maybe an easy solution would be to have the right version of that file included in the install with the other VC files (in the bin folder)?

#12 - 2015-03-23 06:15 AM - Giovanni Manghi

Andrew DeMerchant wrote:
What's happening is that QGIS is trying (wrongly) to use another version of VC 2005 for one (or more) of the dlls.

In my case, it was trying to use msvcr90.dll in my Syswow64 folder. The fix for me was to rename that file.

as far as I know, and I can be wrong, any Windows program (so not only QGIS) will look for a certain dll first in the system folders, then in the program

installation folder. If all the programs would not install dlls outside their installation folder (as QGIS does) then there would be no issues. But to me this is

not a qgis bug, but anyway there are much more skilled people here that can leave their feedback.

#13 - 2015-05-16 06:55 AM - Chris George

I just installed 2.8.2 32-bit version on both a 64-bit machine and a 32-bit machine.  The R6034 error message appears twice when starting QGIS on the

64-bit machine, and 3 times on the 32-bit machine.

#14 - 2015-08-20 01:40 AM - Yogurt Yogurt

This error is still present in 2.8 Wien and 2.10 Pisa. Using the x64 version of QGIS on a Windows 7 x64.

And yes, I have the whole range of Visual C++ runtimes: 2005, 2008, 2012, 2012, 2013, both x86 and x64. All of them (to my knowledge) are the most

up-to-date.

As a software engineer, I simply don't understand what and why is done behind in QGIS. One should just leave it to the system to find the proper VC

runtime, instead of trying to find and load one DLL from a supposed directory, whether it be system32 or SysWOW64, or one of the winsxs subdirectories.

And if the QGIS installer tries to put its "own" msvcr90.dll into system32, it will only result in a nice block from any proper antivirus software.

#15 - 2015-08-20 01:53 AM - Jürgen Fischer

Yogurt Yogurt wrote:

As a software engineer, I simply don't understand what and why is done behind in QGIS. One should just leave it to the system to find the proper VC

runtime, instead of trying to find and load one DLL from a supposed directory, whether it be system32 or SysWOW64, or one of the winsxs

subdirectories.

We leave it to the system, but the system apparently picks the wrong one - on some machines.

#16 - 2015-11-07 11:17 AM - Giovanni Manghi

- Target version deleted (Version 2.8.2)

#17 - 2015-11-09 03:40 AM - Dan Isaacs

The problem is now present in 2.12 although I've not had it before. I'm using windows 7 32-bit. I've jumped from 2.6 (no problems) straight to 2.12.

I'm getting three r6034 errors before opening Qgis.

In the meantime, if anyone's found a way round this, I'd appreciate any ideas.
#18 - 2015-11-09 12:12 PM - Steven Mizuno

I have seen this problem, but only when starting QGIS not using the Start Menu items and not using the provided batch files to start QGIS.

Things to check:

1. from the Start Menu choose the OSGeo4w shell

2. at the command prompt type: PATH

the result is likely a long string with a number of instances that point to various installed program locations

3. at the command prompt start QGIS: qgis

This should use a provided batch file. Does this work?

4. at the command prompt type: PATH

the result should be fairly bare, mainly OSGeo4W locations

What I found is the base PATH from Windows points to some program that has a VC runtime file in its directory (I didn't bother to track that down) and that

the OSGeo4W batch files that start QGIS provide a path without the extraneous locations.

The above steps 1 and 3 are essentially what the start menu items for QGIS do, so they should work.

#19 - 2015-11-09 11:30 PM - Dan Isaacs

I've tried the above mentioned steps, but did not get the expected results. My knowledge of computers is insufficient to know if it means anything, but on

the off chance it does, my results were as follows;

At step 3. QGIS started, but with the same three R6034 error messages.

At step 4. The path indicated entirely QgisLyon locations with the exception of one System32 location and one WBem location.

#20 - 2015-11-10 12:22 PM - Steven Mizuno

Your results at step 4 are what I would expect, so I believe that the file causing the issue is likely located in the Windows\\system32 directory or syswow64

(on a 64-bit system).

According to a report above the file msvcr90.dll is the one causing the problem. It really should not be present in either system32 or syswow64. Note that

the system32 directory is always searched even if it not appears in PATH.

If you find msvcr90.dll in system32 directory, try renaming it (something like msvcr90.dll.XXX is what I  typically use).

I have tracked the problem on my computer to msvcr90.dll, but it was located in one of the program directories referenced in PATH, not in

Windows\\system32.

#21 - 2015-11-10 02:04 PM - Jürgen Fischer

See also #8629-1

#22 - 2015-11-12 04:24 AM - Dan Isaacs

To confirm; disabling msvcr90.dll in System32 folder has, in my case, worked. I now have no more runtime errors on starting Qgis. Unfortunately, I have no

idea what I've just done, not knowing what msvcr90.dll is. Can I be sure that it's not needed there?
#23 - 2015-11-12 04:53 AM - Jürgen Fischer

Dan Cuillin wrote:

To confirm; disabling msvcr90.dll in System32 folder has, in my case, worked. I now have no more runtime errors on starting Qgis. Unfortunately, I

have no idea what I've just done, not knowing what msvcr90.dll is. Can I be sure that it's not needed there?

You fixed a problem that some other (qgis unrelated) installer introduced.  msvcr90.dll is supposed to live where the actual program that needs it is or in a

subdirectory of windows\\winwxs.    If you look there for it you might find it in several subdirectories.   Software using is is usally shipped with the required

copy next to it or uses a copy in winwxs (and something knows how to find the right one there).   Putting it in system32/syswow64 also works, but only for

exactly one version - any software in need of another one gets screwed (like qgis in this case).  Hard to tell what put it there after the fact.  If you find what's

now broken, you'll probably also learn who the culprit is.

#24 - 2015-11-13 02:14 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to invalid

Could we close this? If other software is the root cause of this issue why keeping this open? Reopen if I'm wrong.

#25 - 2016-08-26 04:40 PM - Jan Hendrik Petegem

- Status changed from Closed to Reopened

- Target version set to Version 2.16

I have the same problem with a qgis 2.16.1 32 bit running on win 10 64 bit. (fresh install with osgeo4w 32bit). 

I looked for msvcr90.dll in system32, but the file isn't there. So the suggested fix does not work in all instances.

I did see that msvcrt.dll was present in both system32 and osgeo4w/bin. I am however not able to change the name of this file to try and see if this would fix

it.

QGIS does seem to function fine none the less. But a permanent fix would be welcome, as I am not sure what might go wrong at some point.

#26 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#27 - 2017-08-03 11:02 AM - Tobias Brunner

We're having the exact same problem on SBC2 (Citrix) with the 2.18 installer.

Is it at all possible to solve this problem?

#28 - 2017-08-03 12:45 PM - Giovanni Manghi

- Affected QGIS version changed from 2.0.1 to 2.18.11

#29 - 2019-03-09 03:09 PM - Giovanni Manghi

- Status changed from Reopened to Closed

- Resolution changed from invalid to end of life
End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
